## R/qtl2: QTL mapping with high-dimensional data and multiple-parent populations

[![DOI](https://zenodo.org/badge/147861377.svg)](https://zenodo.org/badge/latestdoi/147861377)

This repository contains the source for the manuscript

> Broman KW, Gatti DM, Simecek P, Furlotte NA, Prins P, Sen &#346;,
> Yandell BS, Churchill GA (2019)
> R/qtl2: software for mapping quantitative trait loci with
> high-dimensional data and multi-parent populations.
> [Genetics](https://academic.oup.com/genetics) 211:495-502
> [![PubMed](https://kbroman.org/icons16/pubmed-icon.png)](https://www.ncbi.nlm.nih.gov/pubmed/30591514)
> [![pdf](https://kbroman.org/icons16/pdf-icon.png)](https://academic.oup.com/genetics/article-pdf/211/2/495/37817017/genetics0495.pdf)
> [![GitHub](https://kbroman.org/icons16/github-icon.png)](https://github.com/kbroman/Paper_Rqtl2)
> [![R/qtl2 software](https://kbroman.org/icons16/R-icon.png)](https://kbroman.org/qtl2)
> [![doi](https://kbroman.org/icons16/doi-icon.png)](https://doi.org/10.1534/genetics.118.301595)

[R/qtl2](http://kbroman.org/qtl2) is a re-implementation of the QTL
mapping software [R/qtl](https://rqtl.org).

- [`rqtl2_paper.tex`](rqtl2_paper.tex) - primary LaTeX source
- [`rqtl2_paper.bib`](rqtl2_paper.bib) - BibTeX references
- [`R/fig1.R`](R/fig1.R) - code to create Figure 1
- [`R/fig2.R`](R/fig2.R) - code to create Figure 2
- [`cfGatti2014/`](cfGatti2014) - comparison to results using genotypes probabilities
  used in from Gatti et al (2014)
- [`GnanResults`](GnanResults) - Data and analysis files for [Gnan et al. (2014) Genetics
  198:1751-1758 doi:10.1534/genetics.114.170746](https://doi.org/10.1534/genetics.114.170746)

Current PDF of the paper at <https://www.biostat.wisc.edu/~kbroman/publications/rqtl2_paper.pdf>

---

### License

This manuscript is licensed under [CC BY](https://creativecommons.org/licenses/by/3.0/).

[![CC BY](https://i.creativecommons.org/l/by/3.0/88x31.png)](https://creativecommons.org/licenses/by/3.0/)
